/* ======================================================================== */
/*  The contents of this file are hereby released into the public domain.   */
/*  This does not affect the rest of the program code in jzIntv, which      */
/*  remains under the GPL except where specific files state differently,    */
/*  such as this one.                                                       */
/*                                                                          */
/*  Programs are free to use the CRC-32 to name lookup table contained in   */
/*  this file for whatever purpose they desire, with no strings attached.   */
/* ======================================================================== */

#include "config.h"
#include "name.h"


/* CRC32, year, ecs, voice, name */

static const cart_name_t _name_list[] =
{
{ 0xA9ED9496, 2000,0,0, "4-Tris" },
{ 0x182C1496, 2000,0,0, "4-Tris" },
{ 0x43792FA8, 1980,0,0, "Keyboard Component 6502 EXEC" },
{ 0x95466AD3, 1982,0,0, "River Raid Prototype" },
{ 0x9A3708B1, 1982,0,0, "River Raid Prototype" },
{ 0x9D4355AA, 1982,0,0, "Advanced Dungeon & Dragons: Cloudy Mountain" },
{ 0x47AB96C5, 1982,0,0, "Advanced Dungeon & Dragons: Cloudy Mountain" },
{ 0xF8B1F2B7, 1982,0,0, "Advanced Dungeon & Dragons: Cloudy Mountain" },
{ 0x8FD0CD07, 1982,0,0, "Advanced Dungeon & Dragons: Cloudy Mountain" },
{ 0x2B7C8160, 1982,0,0, "Advanced Dungeon & Dragons: Cloudy Mountain" },
{ 0x85D2A5F1, 1982,0,0, "Advanced Dungeon & Dragons: Cloudy Mountain" },
{ 0x16C3B62F, 1982,0,0, "Advanced Dungeon & Dragons: Treasure of Tarmin" },
{ 0x4A4F48A4, 1982,0,0, "Advanced Dungeon & Dragons: Treasure of Tarmin" },
{ 0x11C3BCFA, 1982,0,0, "Adventure (Advanced Dungeon & Dragons prototype)" },
{ 0x36675697, 1982,0,0, "Adventure (Advanced Dungeon & Dragons prototype)" },
{ 0xCEF0393D, 1983,0,0, "Adventures of TRON (Prototype)" },
{ 0x13972B5E, 1983,0,0, "Adventures of TRON (Prototype)" },
{ 0x2C668249, 1982,0,0, "Air Strike (Prototype)" },
{ 0x677E0C65, 1982,0,0, "Air Strike (Prototype)" },
{ 0x7DB97F65, 1978,0,0, "Armor Battle (Slow Tanks)" },
{ 0x17E9DC74, 1978,0,0, "Armor Battle (Slow Tanks)" },
{ 0x6F91FBC1, 1978,0,0, "Armor Battle (Fast Tanks)" },
{ 0xE2350117, 1978,0,0, "Armor Battle (Fast Tanks)" },
{ 0xFAB2992C, 1981,0,0, "Astrosmash" },
{ 0xD0F83698, 1981,0,0, "Astrosmash (DigiPlay)" },
{ 0x1E9A634A, 1981,0,0, "Astrosmash (DigiPlay)" },
{ 0xE47EE390, 1981,0,0, "Astrosmash" },
{ 0x13FF363C, 1982,0,0, "Atlantis" },
{ 0x1AA6B90B, 1982,0,0, "Atlantis" },
{ 0xB35C1101, 1979,0,0, "Auto Racing (Real Steering)" },
{ 0xB74FCEC9, 1979,0,0, "Auto Racing (Real Steering)" },
{ 0x28637E4E, 1979,0,0, "Auto Racing (Intuitive Steering)" },
{ 0x6161272E, 1979,0,0, "Auto Racing (Intuitive Steering)" },
{ 0x8AD19AB3, 1981,0,1, "B-17 Bomber" },
{ 0x89941219, 1981,0,1, "B-17 Bomber" },
{ 0xDAB36628, 1978,0,0, "Major League Baseball" },
{ 0x95517CCB, 1978,0,0, "Major League Baseball" },
{ 0xEAF650CC, 1982,0,0, "Beamrider" },
{ 0xFC14B3CA, 1982,0,0, "Beamrider" },
{ 0xC047D487, 1982,0,0, "Beauty and the Beast" },
{ 0xF003FE17, 1982,0,0, "Beauty and the Beast" },
{ 0xB03F739B, 1983,0,0, "Blockade Runner" },
{ 0xAB08634E, 1983,0,0, "Blockade Runner" },
{ 0x32697B72, 1982,0,1, "Bomb Squad" },
{ 0x97653606, 1982,0,1, "Bomb Squad" },
{ 0x515E1D7E, 1988,0,0, "Body Slam: Super Pro Wrestling" },
{ 0x3A8D1433, 1988,0,0, "Body Slam: Super Pro Wrestling" },
{ 0x169E3584, 1980,0,0, "PBA Bowling" },
{ 0x1E7D6CB0, 1980,0,0, "PBA Bowling" },
{ 0xAB87C16F, 1980,0,0, "Boxing" },
{ 0x97A3EFEA, 1980,0,0, "Boxing" },
{ 0x43806375, 1982,0,0, "BurgerTime" },
{ 0xB90E4760, 1982,0,0, "BurgerTime" },
{ 0x9F85015B, 1981,0,0, "Brickout (Prototype)" },
{ 0x0312D341, 1981,0,0, "Brickout (Prototype)" },
{ 0x81E7FB8C, 1978,0,0, "NBA Basketball" },
{ 0x3FA5E2CE, 1978,0,0, "NBA Basketball" },
{ 0x518979C9, 1978,0,0, "NBA Basketball" },
{ 0x405D695A, 1978,0,0, "NBA Basketball" },
{ 0x999CCEED, 1982,0,0, "Bump 'N' Jump" },
{ 0xDD874C8A, 1982,0,0, "Bump 'N' Jump" },
{ 0xFA492BBD, 1982,0,0, "Buzz Bombers" },
{ 0x5F5F585C, 1982,0,0, "Buzz Bombers" },
{ 0xF8EF3E5A, 1982,0,0, "Space Cadet (Unreleased)" },
{ 0x44F676A6, 1982,0,0, "Space Cadet (Unreleased)" },
{ 0x43870908, 1982,0,0, "Carnival" },
{ 0x7D472015, 1982,0,0, "Carnival" },
{ 0xB84C7E9E, 2002,0,0, "Castle (Philly Classic Trailer)" },
{ 0x71594AB3, 2002,0,0, "Castle (Philly Classic Trailer)" },
{ 0xD5363B8C, 1983,0,0, "Centipede" },
{ 0x1C5ACC64, 1983,0,0, "Centipede" },
{ 0x243807E2, 1979,0,0, "Checkers Rel. 1" },
{ 0xEA480378, 1979,0,0, "Checkers Rel. 1" },
{ 0x36E1D858, 1979,0,0, "Checkers Rel. 2" },
{ 0x9B7AC229, 1979,0,0, "Checkers Rel. 2" },
{ 0x752FD927, 1981,0,0, "USCF Chess" },
{ 0x9CC61184, 1981,0,0, "USCF Chess" },
{ 0x0BF464C6, 1987,0,0, "Chip Shot: Super Pro Golf (Caddy)" },
{ 0x3817C636, 1987,0,0, "Chip Shot: Super Pro Golf (Caddy)" },
{ 0xD45F0C82, 1987,0,0, "Chip Shot: Super Pro Golf (Caddie)" },
{ 0xB3E09E16, 1987,0,0, "Chip Shot: Super Pro Golf (Caddie)" },
{ 0x4CC46A04, 1985,0,0, "Championship Tennis" },
{ 0x036B1690, 1985,0,0, "Championship Tennis" },
{ 0xAECC3CE8, 1988,0,0, "Choplifter (Unreleased)" },
{ 0xB4923A76, 1988,0,0, "Choplifter (Unreleased)" },
{ 0xE1EE408F, 1981,0,0, "Crazy Clones (Prototype)" },
{ 0x6E2A2FF8, 1981,0,0, "Crazy Clones (Prototype)" },
{ 0x4B23A757, 1983,0,0, "Congo Bongo" },
{ 0x466B897C, 1983,0,0, "Congo Bongo" },
{ 0x3289C8BA, 1987,0,0, "Commando" },
{ 0xF782D932, 1987,0,0, "Commando" },
{ 0xCDC14ED8, 1987,0,0, "Deadly Dogs!" },
{ 0x07C5F45D, 1987,0,0, "Deadly Dogs!" },
{ 0x16BFB8EB, 1988,0,0, "Super Pro Decathlon" },
{ 0x9B4F0001, 1988,0,0, "Super Pro Decathlon" },
{ 0x6802B191, 1990,0,0, "Deep Pockets: Super Pro Pool & Billiards (Unreleased)" },
{ 0xD62F76D4, 1990,0,0, "Deep Pockets: Super Pro Pool & Billiards (Unreleased)" },
{ 0xD8F99AA2, 1983,0,0, "Defender" },
{ 0x121D938D, 1983,0,0, "Defender" },
{ 0xD27E560A, 1982,0,0, "Mattel Demonstration Cartridge" },
{ 0x20FCDC42, 1982,0,0, "Mattel Demonstration Cartridge" },
{ 0xD5F038B6, 1983,0,0, "Mattel Demonstration Cartridge" },
{ 0x16E92DFB, 1983,0,0, "Mattel Demonstration Cartridge" },
{ 0xC99E7554, 1978,0,0, "Mattel Demonstration Cartridge" },
{ 0x0E38507D, 1978,0,0, "Mattel Demonstration Cartridge" },
{ 0x02919024, 1978,0,0, "Mattel Demonstration Cartridge" },
{ 0xB8E4AE2C, 1978,0,0, "Mattel Demonstration Cartridge" },
{ 0x5E6A8CD8, 1982,0,0, "Demon Attack" },
{ 0xD41410B2, 1982,0,0, "Demon Attack" },
{ 0x159AF7F7, 1987,0,0, "Dig Dug" },
{ 0xE48D33FC, 1987,0,0, "Dig Dug" },
{ 0x13EE56F1, 1987,0,0, "Diner" },
{ 0x03AC55A6, 1987,0,0, "Diner" },
{ 0xC30F61C0, 1982,0,0, "Donkey Kong" },
{ 0xDD895C7A, 1982,0,0, "Donkey Kong" },
{ 0x6DF61A9F, 1983,0,0, "Donkey Kong Junior" },
{ 0x7D90BC22, 1983,0,0, "Donkey Kong Junior" },
{ 0x84BEDCC1, 1982,0,0, "Dracula" },
{ 0x42EDA30B, 1982,0,0, "Dracula" },
{ 0x3B99B889, 1982,0,0, "The Dreadnaught Factor" },
{ 0x6083DFE5, 1982,0,0, "The Dreadnaught Factor" },
{ 0xAF8718A1, 1982,0,0, "Dragonfire" },
{ 0x98140728, 1982,0,0, "Dragonfire" },
{ 0xBF4D0E9B, 1982,0,0, "The Dreadnaught Factor (Prototype)" },
{ 0x67E0B7FA, 1982,0,0, "The Dreadnaught Factor (Prototype)" },
{ 0xF3DF94E0, 1983,0,0, "Duncan's Thin Ice (Voochko hidden)" },
{ 0x79AA2A3B, 1983,0,0, "Duncan's Thin Ice (Voochko hidden)" },
{ 0x20ACE89D, 1981,0,0, "Easter Eggs.A (Prototype)" },
{ 0x0EC7FE32, 1981,0,0, "Easter Eggs.A (Prototype)" },
{ 0xEA790A06, 1982,0,0, "ECS BASIC ROM" },
{ 0x77E856A3, 1982,0,0, "ECS BASIC ROM" },
{ 0xD5B0135A, 1983,0,0, "The Empire Strikes Back" },
{ 0x6F924A2C, 1983,0,0, "The Empire Strikes Back" },
{ 0x7EAD1315, 1983,0,0, "The Empire Strikes Back" },
{ 0x350E38DD, 1983,0,0, "The Empire Strikes Back" },
{ 0xCBCE86F7, 1978,0,0, "Master Component EXECutive ROM" },
{ 0x4221EDE7, 1983,0,0, "Fathom" },
{ 0x43F60CC3, 1983,0,0, "Fathom" },
{ 0x4B91CF16, 1978,0,0, "NFL Football" },
{ 0x6E6E6700, 1978,0,0, "NFL Football" },
{ 0x37222762, 1982,0,0, "Frog Bog" },
{ 0x980C5EFA, 1982,0,0, "Frog Bog" },
{ 0xD27495E9, 1983,0,0, "Frogger" },
{ 0xB9C9AD4F, 1983,0,0, "Frogger" },
{ 0xA60E25FC, 1978,0,0, "ABPA Backgammon" },
{ 0x4F62047A, 1978,0,0, "ABPA Backgammon" },
{ 0x98A9D6A5, 1983,0,0, "Go For The Gold (Unreleased)" },
{ 0xDBCA82C5, 1983,0,0, "Go For The Gold (Incomplete)" },
{ 0x65EAF88D, 1983,0,0, "Go For The Gold (Incomplete)" },
{ 0xFF87FAEC, 1979,0,0, "PGA Golf" },
{ 0x3D84D786, 1979,0,0, "PGA Golf" },
{ 0x1E1A0639, 1979,0,0, "PGA Golf (rerelease)" },
{ 0x26BE5E41, 1979,0,0, "PGA Golf (rerelease)" },
{ 0x291AC826, 1982,0,0, "Grid Shock (Prototype)" },
{ 0x8C44929A, 1982,0,0, "Grid Shock (Prototype)" },
{ 0x683A4158, 1978,0,0, "Master Component Graphics ROM" },
{ 0x5F3728C6, 1999,0,0, "Groovy!" },
{ 0xB7F8FDA1, 1999,0,0, "Groovy!" },
{ 0x4830F720, 1981,0,0, "Halloween Street (prototype)" },
{ 0x7A9DC4CA, 1981,0,0, "Halloween Street (prototype)" },
{ 0xB6A3D4DE, 1982,0,0, "Hard Hat (unreleased)" },
{ 0x7F5C7366, 1982,0,0, "Hard Hat (unreleased)" },
{ 0x573B9B6D, 1983,0,0, "Masters of the Universe: The Power of He-Man" },
{ 0x92DB9CDF, 1983,0,0, "Masters of the Universe: The Power of He-Man" },
{ 0x76564A13, 1979,0,0, "NHL Hockey" },
{ 0x4C42D0B2, 1979,0,0, "NHL Hockey" },
{ 0xB5C7F25D, 1980,0,0, "Horse Racing" },
{ 0xC932BDE6, 1980,0,0, "Horse Racing" },
{ 0xF99A80D4, 1983,1,0, "Game Factory"},
{ 0xCE8FC699, 1983,1,0, "Game Factory"},
{ 0xB021ED7B, 1984,0,0, "Hover Force 3-D (Unfinished)" },
{ 0xEC2DD27A, 1984,0,0, "Hover Force 3-D (Unfinished)" },
{ 0x4B8C5932, 1983,0,0, "Happy Trails" },
{ 0x263F6B30, 1983,0,0, "Happy Trails" },
{ 0xFF83FF80, 1986,0,0, "Hover Force" },
{ 0x10415239, 1986,0,0, "Hover Force" },
{ 0xA3147630, 1981,0,0, "Hypnotic Lights" },
{ 0x399E04AB, 1981,0,0, "Hypnotic Lights" },
{ 0x4F3E3F69, 1983,0,0, "Ice Trek" },
{ 0xD0AFC01A, 1983,0,0, "Ice Trek" },
{ 0x851F3CCB, 1983,0,0, "Illusions" },
{ 0x58088F0D, 1983,0,0, "Illusions" },
{ 0xEE5F1BE2, 1983,1,0, "Jetson's Way With Words" },
{ 0xDD7717AC, 1983,1,0, "Jetson's Way With Words" },
{ 0xE5D1A8D2, 1983,0,0, "Number Jumble" },
{ 0xDE154A4A, 1983,0,0, "Number Jumble" },
{ 0x4422868E, 1982,0,0, "King of the Mountain" },
{ 0x1AE87123, 1982,0,0, "King of the Mountain" },
{ 0x8C9819A2, 1983,0,0, "Kool-Aid Man" },
{ 0x10DC65CB, 1983,0,0, "Kool-Aid Man" },
{ 0xA6840736, 1983,0,0, "LadyBug" },
{ 0x2890099E, 1983,0,0, "LadyBug" },
{ 0x3825C25B, 1982,0,0, "Land Battle" },
{ 0x570C73F2, 1982,0,0, "Land Battle" },
{ 0xAB7B7CC2, 1999,0,0, "Spinning World" },
{ 0xF3B2EA49, 1999,0,0, "Spinning World" },
{ 0xE00D1399, 1982,0,0, "Lock 'n' Chase (6K variant)" },
{ 0x8A1F266D, 1982,0,0, "Lock 'n' Chase (6K variant)" },
{ 0x04977992, 1982,0,0, "Lock 'n' Chase (6K)" },
{ 0x32AD8692, 1982,0,0, "Lock 'n' Chase (6K)" },
{ 0x91ABEBAC, 1983,0,0, "League of Light" },
{ 0x67A45962, 1983,0,0, "League of Light" },
{ 0x2C5FD5FA, 1987,0,0, "Learning Fun I" },
{ 0x4E8C6BDF, 1987,0,0, "Learning Fun I" },
{ 0x632F6ADF, 1987,0,0, "Learning Fun II" },
{ 0x959E0E4C, 1987,0,0, "Learning Fun II" },
{ 0x5C7E9848, 1982,0,0, "Lock 'n' Chase (8K)" },
{ 0x1603E3F8, 1982,0,0, "Lock 'n' Chase (8K)" },
{ 0x6B6E80EE, 1982,0,0, "Loco-Motion" },
{ 0x5450A626, 1982,0,0, "Loco-Motion" },
{ 0x54A3FC11, 1978,0,0, "Math Fun (reverse entry)" },
{ 0x3CCFAC6B, 1978,0,0, "Math Fun (reverse entry)" },
{ 0xC3475FCA, 1978,0,0, "Math Fun (forward entry)" },
{ 0x89DE93F9, 1978,0,0, "Math Fun (forward entry)" },
{ 0xF98AA25F, 2001,0,0, "Maze Demo" },
{ 0x49872090, 2001,0,0, "Maze Demo" },
{ 0x7A558CF5, 1981,0,0, "Maze-A-TRON" },
{ 0x4AFCDABF, 1981,0,0, "Maze-A-TRON" },
{ 0xE806AD91, 1982,0,0, "Microsurgeon" },
{ 0xE597709B, 1982,0,0, "Microsurgeon" },
{ 0xFF68AA22, 1983,1,0, "Melody Blaster" },
{ 0xF0583EFC, 1983,1,0, "Melody Blaster" },
{ 0x00BE8BBA, 1981,0,0, "Astrosmash / Meteor" },
{ 0xB9BB15EB, 1981,0,0, "Astrosmash / Meteor" },
{ 0x9D57498F, 1982,1,0, "Mindstrike" },
{ 0xF400A953, 1982,1,0, "Mindstrike" },
{ 0xBD731E3C, 1981,0,0, "Minotaur (Treasure of Tarmin prototype)" },
{ 0x9FA78BDA, 1981,0,0, "Minotaur (Treasure of Tarmin prototype)" },
{ 0x2F9C93FC, 1982,0,0, "Minotaur (Treasure of Tarmin prototype)" },
{ 0xEAF15CEC, 1982,0,0, "Minotaur (Treasure of Tarmin prototype)" },
{ 0x11FB9974, 1982,0,0, "Mission-X" },
{ 0x1ACF4074, 1982,0,0, "Mission-X" },
{ 0x5F6E1AF6, 1982,0,0, "Motocross" },
{ 0xDAFD64D6, 1982,0,0, "Motocross" },
{ 0xEC89D2FD, 1982,0,0, "Motocross" },
{ 0xD443449D, 1982,0,0, "Motocross" },
{ 0x598662F2, 1982,0,0, "Mousetrap" },
{ 0x04D8FCD8, 1982,0,0, "Mousetrap" },
{ 0x0B50A367, 1983,1,0, "Mr. Basic Meets Bits 'n' Bytes" },
{ 0x1EA1763F, 1983,1,0, "Mr. Basic Meets Bits 'n' Bytes" },
{ 0xBEF0B0C7, 1983,1,0, "Mr. Basic Meets Bits 'n' Bytes" },
{ 0x6E94ED37, 1983,1,0, "Mr. Basic Meets Bits 'n' Bytes" },
{ 0xBD8A6569, 1981,0,0, "MTE-201 Test Cartridge" },
{ 0xC82E4D84, 1981,0,0, "MTE-201 Test Cartridge" },
{ 0xB745C1CA, 1988,0,0, "Stadium Mud Buggies" },
{ 0x86D0D0FE, 1988,0,0, "Stadium Mud Buggies" },
{ 0x5EE2CC2A, 1983,0,0, "Nova Blast" },
{ 0xEEAF52AD, 1983,0,0, "Nova Blast" },
{ 0xA21C31C3, 1983,0,0, "Pac-Man (Atarisoft)" },
{ 0x59088F1E, 1983,0,0, "Pac-Man (Atarisoft)" },
{ 0x6E4E8EB4, 1983,0,0, "Pac-Man (INTV)" },
{ 0xF6AFDC74, 1983,0,0, "Pac-Man (INTV)" },
{ 0xD7C5849C, 1981,0,0, "Pinball" },
{ 0x5D0CFDE4, 1981,0,0, "Pinball" },
{ 0x9C75EFCC, 1982,0,0, "Pitfall" },
{ 0x8E986E70, 1982,0,0, "Pitfall" },
{ 0x543DC31D, 1978,0,0, "Las Vegas Poker and Blackjack" },
{ 0x4DE913F8, 1978,0,0, "Las Vegas Poker and Blackjack" },
{ 0x604611C0, 1979,0,0, "Las Vegas Poker and Blackjack" },
{ 0xFB99E8FD, 1979,0,0, "Las Vegas Poker and Blackjack" },
{ 0xBB939881, 1987,0,0, "Pole Position" },
{ 0x43B0017C, 1987,0,0, "Pole Position" },
{ 0xCFDB778E, 2000,0,0, "Pong" },
{ 0x4FF2E846, 2000,0,0, "Pong" },
{ 0xC51464E0, 1983,0,0, "Popeye" },
{ 0x313AF570, 1983,0,0, "Popeye" },
{ 0xA85970E4, 1983,0,0, "Popeye" },
{ 0xD3F330A1, 1983,0,0, "Popeye" },
{ 0xA13F143D, 1983,0,1, "Quest (Unfinished)" },
{ 0xD8C9856A, 1983,0,0, "Q*Bert" },
{ 0x2C6F67F4, 1983,0,0, "Q*Bert" },
{ 0x6E2DE5A7, 1983,0,0, "Q*Bert" },
{ 0xA846E0F8, 1983,0,0, "Q*Bert" },
{ 0x0487675C, 1978,0,0, "Mattel Demonstration Cartridge (Revised)" },
{ 0xDC9CA967, 1978,0,0, "Mattel Demonstration Cartridge (Revised)" },
{ 0xC7BB1B0E, 1981,0,0, "Reversi" },
{ 0x43222E61, 1981,0,0, "Reversi" },
{ 0x8910C37A, 1982,0,0, "River Raid" },
{ 0x0147B330, 1982,0,0, "River Raid" },
{ 0x7473916D, 1983,0,0, "Robot Rubble Prototype 1" },
{ 0x478BC10B, 1983,0,0, "Robot Rubble Prototype 1" },
{ 0xA5E28783, 1983,0,0, "Robot Rubble Prototype 2" },
{ 0x8478A56D, 1983,0,0, "Robot Rubble Prototype 2" },
{ 0x243B0812, 1983,0,0, "Robot Rubble Prototype 3" },
{ 0xD559A5E2, 1983,0,0, "Robot Rubble Prototype 3" },
{ 0x867F1941, 1983,0,0, "Rocky and Bullwinkle" },
{ 0x2B60EE9E, 1983,0,0, "Rocky and Bullwinkle" },
{ 0x48D74D3C, 1979,0,0, "Roulette" },
{ 0x7F4EEA8C, 1979,0,0, "Roulette" },
{ 0xDCF4B15D, 1981,0,0, "Royal Dealer" },
{ 0x5C259A7D, 1981,0,0, "Royal Dealer" },
{ 0x18077245, 1981,0,0, "Royal Dealer" },
{ 0xE041E48C, 1981,0,0, "Royal Dealer" },
{ 0x50DC4E9B, 1981,0,0, "Royal Dealer (Corrupt?)" },
{ 0xB936E28D, 1981,0,0, "Royal Dealer (Corrupt?)" },
{ 0x47AA7977, 1983,0,0, "Safecracker" },
{ 0x504FB8C7, 1983,0,0, "Safecracker" },
{ 0xE221808C, 1983,0,0, "Santa's Helper" },
{ 0x2194B23F, 1983,0,0, "Santa's Helper" },
{ 0xC77328E9, 1983,1,0, "Super NFL Football (Unreleased)" },
{ 0x3207B408, 1983,1,0, "Super NFL Football (Unreleased)" },
{ 0xBE4D7996, 1983,1,0, "Super NFL Football (Unreleased)" },
{ 0x3207B408, 1983,1,0, "Super NFL Football (Unreleased)" },
{ 0xCE1962A3, 1983,1,0, "The Flinstones Keyboard Fun" },
{ 0x30E2819B, 1983,1,0, "The Flinstones Keyboard Fun" },
{ 0xA9D50D0A, 2012,0,1, "SameGame & Robots" },
{ 0x6E0882E7, 2012,0,1, "SameGame & Robots" },
{ 0x165418D0, 2002,0,1, "Tag-Along Todd" },
{ 0x1ECDD51B, 2002,0,1, "Tag-Along Todd" },
{ 0xD367DCCA, 2002,0,1, "Tag-Along Todd" },
{ 0xF3B0C759, 1982,0,1, "Magic Carousel" },
{ 0x4E115667, 1982,0,1, "Magic Carousel" },
{ 0xE399BA08, 1983,0,0, "Scarfinger" },
{ 0xF44478E2, 1983,0,0, "Scarfinger" },
{ 0x7C32C9B8, 1983,0,0, "Super Cobra" },
{ 0x71661AFB, 1983,0,0, "Super Cobra" },
{ 0xE9E3F60D, 1983,1,0, "Scooby Doo's Maze Chase" },
{ 0x2A05EF87, 1983,1,0, "Scooby Doo's Maze Chase" },
{ 0x99AE29A9, 1980,0,0, "Sea Battle" },
{ 0xC8636A2E, 1980,0,0, "Sea Battle" },
{ 0xE0F0D3DA, 1983,0,0, "Sewer Sam" },
{ 0x7DCFCBDE, 1983,0,0, "Sewer Sam" },
{ 0x2A4C761D, 1982,0,0, "Shark! Shark!" },
{ 0xF99C077D, 1982,0,0, "Shark! Shark!" },
{ 0xFF7CB79E, 1982,0,0, "Sharp Shot" },
{ 0xDD53CDA8, 1982,0,0, "Sharp Shot" },
{ 0xE98B9163, 1983,0,1, "Space Shuttle?" },
{ 0x95335132, 1983,0,1, "Space Shuttle?" },
{ 0x6B5EA9C4, 1987,0,0, "Mountain Madness: Super Pro Skiing" },
{ 0xDAA41873, 1987,0,0, "Mountain Madness: Super Pro Skiing" },
{ 0xF093E801, 1980,0,0, "U.S. Ski Team Skiing" },
{ 0x7482957D, 1980,0,0, "U.S. Ski Team Skiing" },
{ 0x800B572F, 1987,0,0, "Slam Dunk: Super Pro Basketball" },
{ 0x70FCC623, 1987,0,0, "Slam Dunk: Super Pro Basketball" },
{ 0xBA68FF28, 1987,0,0, "Slap Shot:  Super Pro Hockey" },
{ 0xE9F71566, 1987,0,0, "Slap Shot:  Super Pro Hockey" },
{ 0x0F6FFBAA, 1987,0,0, "Slap Shot:  Super Pro Hockey" },
{ 0x30A54FAD, 1987,0,0, "Slap Shot:  Super Pro Hockey" },
{ 0x07FB9435, 1982,0,1, "Solar Sailer" },
{ 0x2E449C2F, 1982,0,1, "Solar Sailer" },
{ 0xBAB638F2, 1982,0,0, "Super Masters (Prototype)" },
{ 0x50238137, 1982,0,0, "Super Masters (Prototype)" },
{ 0x8F959A6E, 1981,0,0, "Snafu" },
{ 0xDA310981, 1981,0,0, "Snafu" },
{ 0x51B82EB7, 1983,0,0, "Super Soccer (Unfinished)" },
{ 0x4027799D, 1983,0,0, "Super Soccer (Unfinished)" },
{ 0xDBAB54CA, 1979,0,0, "NASL Soccer" },
{ 0xCBC74139, 1979,0,0, "NASL Soccer" },
{ 0x40F64CBC, 1981,0,0, "Killer Songs" },
{ 0x48B4DD00, 1981,0,0, "Killer Songs" },
{ 0x4542D593, 1983,0,1, "Space Cunt (Ver 2)" },
{ 0xA7032B62, 1983,0,1, "Space Cunt (Ver 2)" },
{ 0x39D3B895, 1981,0,0, "Space Hawk" },
{ 0x237E48C4, 1981,0,0, "Space Hawk" },
{ 0xE8B8EBA5, 1981,0,0, "Space Armada" },
{ 0x8F0D60D0, 1981,0,0, "Space Armada" },
{ 0xE7DB639D, 1979,0,0, "Space Battle" },
{ 0x8130DC15, 1979,0,0, "Space Battle" },
{ 0xF95504E0, 1979,0,0, "Space Battle" },
{ 0x2028B7C0, 1979,0,0, "Space Battle" },
{ 0x3784DC52, 1981,0,1, "Space Spartans" },
{ 0x2B856EBC, 1981,0,1, "Space Spartans" },
{ 0x32076E9D, 1986,0,0, "Super Pro Football" },
{ 0xDDE2A414, 1986,0,0, "Super Pro Football" },
{ 0x83141D85, 1986,0,0, "Super Pro Football" },
{ 0x6E3E8CD0, 1986,0,0, "Super Pro Football" },
{ 0xA95021FC, 1988,0,0, "Spiker! Super Pro Volleyball" },
{ 0xFF5E088C, 1988,0,0, "Spiker! Super Pro Volleyball" },
{ 0x20007D0C, 1983,0,0, "Zzzz! Starring Spina the Bee" },
{ 0xA19CE6E0, 1983,0,0, "Zzzz! Starring Spina the Bee" },
{ 0x7334CD44, 1982,0,0, "Night Stalker" },
{ 0x12AAD04B, 1982,0,0, "Night Stalker" },
{ 0x2DEACD15, 1982,0,0, "Stampede" },
{ 0x0CC1EB93, 1982,0,0, "Stampede" },
{ 0x72E11FCA, 1981,0,0, "Star Strike" },
{ 0xE653C832, 1981,0,0, "Star Strike" },
{ 0x3D9949EA, 1981,0,0, "Sub Hunt" },
{ 0xAC5F8353, 1981,0,0, "Sub Hunt" },
{ 0x15E88FCE, 1982,0,0, "Swords and Serpents" },
{ 0x7E74A516, 1982,0,0, "Swords and Serpents" },
{ 0x1F584A69, 1982,0,0, "Takeover" },
{ 0x8860C258, 1982,0,0, "Takeover" },
{ 0x03E9E62E, 1980,0,0, "Tennis" },
{ 0x1FAB5973, 1980,0,0, "Tennis" },
{ 0xD6495910, 1983,0,0, "Thin Ice" },
{ 0x486CC56B, 1983,0,0, "Thin Ice" },
{ 0xC1F1CA74, 1982,0,0, "Thunder Castle" },
{ 0x67FD3D44, 1982,0,0, "Thunder Castle" },
{ 0xD1D352A0, 1986,0,0, "Tower of Doom" },
{ 0xBCBDD70E, 1986,0,0, "Tower of Doom" },
{ 0x095638C0, 1986,0,0, "Triple Challenge" },
{ 0x1B6DEFD5, 1986,0,0, "Triple Challenge" },
{ 0x95F97C59, 1986,0,0, "Triple Challenge" },
{ 0x93A820F5, 1986,0,0, "Triple Challenge" },
{ 0x1AC989E2, 1981,0,0, "Triple Action" },
{ 0x1D016FD2, 1981,0,0, "Triple Action" },
{ 0xCA447BBD, 1981,0,0, "TRON Deadly Discs" },
{ 0xFCADF8B9, 1981,0,0, "TRON Deadly Discs" },
{ 0x6F23A741, 1982,0,0, "Tropical Trouble" },
{ 0xB9739B36, 1982,0,0, "Tropical Trouble" },
{ 0x734F3260, 1983,0,0, "Truckin'" },
{ 0xCC8B51DF, 1983,0,0, "Truckin'" },
{ 0x275F3512, 1982,0,0, "Turbo" },
{ 0xE51C7547, 1982,0,0, "Turbo" },
{ 0x6FA698B3, 1983,0,0, "Tutankhamun" },
{ 0xDEDFD9FF, 1983,0,0, "Tutankhamun" },
{ 0xF9E0789E, 1981,0,0, "Utopia" },
{ 0x8378C2D6, 1981,0,0, "Utopia" },
{ 0xA4A20354, 1982,0,0, "Vectron" },
{ 0xE6DEAF19, 1982,0,0, "Vectron" },
{ 0x6EFA67B2, 1982,0,0, "Venture" },
{ 0xA3719383, 1982,0,0, "Venture" },
{ 0xA2EC0EA4, 1982,0,0, "Venture" },
{ 0x4751F37A, 1982,0,0, "Venture" },
{ 0xB45633CF, 1983,0,0, "World Championship Baseball" },
{ 0xF56C41E8, 1983,0,0, "World Championship Baseball" },
{ 0x15D9D27A, 1986,0,0, "World Cup Soccer" },
{ 0x95341607, 1986,0,0, "World Cup Soccer" },
{ 0xF1ED7D27, 1982,0,0, "White Water!" },
{ 0x30484D2B, 1982,0,0, "White Water!" },
{ 0xC9EAACAB, 1980,0,0, "The Electric Company Word Fun" },
{ 0xFB272A51, 1980,0,0, "The Electric Company Word Fun" },
{ 0x24B667B9, 1983,0,0, "Worm Whomper" },
{ 0x9833F2BB, 1983,0,0, "Worm Whomper" },
{ 0xA12C27E1, 1982,1,1, "World Series Major League Baseball (Incomplete)" },
{ 0xEEA9AC19, 1982,1,1, "World Series Major League Baseball (Incomplete)" },
{ 0xD6A2062B, 1982,1,1, "World Series Major League Baseball (Incomplete)" },
{ 0xC2063C08, 1982,1,1, "World Series Major League Baseball" },
{ 0x34DE3E57, 1982,1,1, "World Series Major League Baseball" },
{ 0x75D6A509, 1982,1,1, "World Series Major League Baseball" },
{ 0x4E1F2EB5, 1982,1,1, "World Series Major League Baseball" },
{ 0x15C65DC5, 1983,0,0, "Zaxxon" },
{ 0x910AD66A, 1983,0,0, "Zaxxon" },
{ 0x55E5862A, 2007,1,0, "Space Patrol SDK-1600 Edition" },
{ 0x447DF6F9, 2007,1,0, "Space Patrol SDK-1600 Edition" },
{ 0x7755ED3C, 2007,1,0, "Space Patrol Teaser Edition" },
{ 0xAF9005A8, 2007,1,0, "Space Patrol Teaser Edition" },

{ 0, 0, 0, 0, NULL }
};

const cart_name_t *name_list = _name_list;

/* ======================================================================== */
/*     This specific file is placed in the public domain by its author,     */
/*                              Joseph Zbiciak.                             */
/* ======================================================================== */
