/*------------------------------------------------------------------------------------
 * Android stuff
 *
 * Daniele Moglia (daniele.moglia@gmail.com)
 *------------------------------------------------------------------------------------*/
 
//See SDLActivity.java
#define JAVA_BUTTON_1_INDEX 0
#define JAVA_BUTTON_2_INDEX 1
#define JAVA_BUTTON_3_INDEX 2
#define JAVA_BUTTON_4_INDEX 3
#define JAVA_BUTTON_5_INDEX 4
#define JAVA_BUTTON_6_INDEX 5
#define JAVA_BUTTON_7_INDEX 6
#define JAVA_BUTTON_8_INDEX 7
#define JAVA_BUTTON_9_INDEX 8
#define JAVA_BUTTON_CLEAR_INDEX 9
#define JAVA_BUTTON_0_INDEX 10
#define JAVA_BUTTON_ENTER_INDEX 11
#define JAVA_BUTTON_LEFT_SIDE_UP_INDEX 12
#define JAVA_BUTTON_LEFT_SIDE_DOWN_INDEX 13
#define JAVA_BUTTON_RIGHT_SIDE_UP_INDEX 14
#define JAVA_BUTTON_RIGHT_SIDE_DOWN_INDEX 15
#define JAVA_BUTTON_CHANGE_ROM_INDEX 16
#define JAVA_BUTTON_PAUSE_INDEX 17 
#define JAVA_BUTTON_RESET_INDEX 18
#define JAVA_BUTTON_CHANGE_PLAYER_INDEX 19

#define BUTTON_CHANGE_VOLUME_UP 21
#define BUTTON_CHANGE_VOLUME_DOWN 22

#define JAVA_KEYCODE_0 7
#define JAVA_KEYCODE_1 8
#define JAVA_KEYCODE_2 9
#define JAVA_KEYCODE_3 10
#define JAVA_KEYCODE_4 11
#define JAVA_KEYCODE_5 12
#define JAVA_KEYCODE_6 13
#define JAVA_KEYCODE_7 14
#define JAVA_KEYCODE_8 15
#define JAVA_KEYCODE_9 16
#define JAVA_KEYCODE_STAR 17
#define JAVA_KEYCODE_POUND 18
#define JAVA_KEYCODE_UP_ARROW 19
#define JAVA_KEYCODE_DOWN_ARROW 20
#define JAVA_KEYCODE_LEFT_ARROW 21
#define JAVA_KEYCODE_RIGHT_ARROW 22
#define JAVA_KEYCODE_A 29
#define JAVA_KEYCODE_B 30
#define JAVA_KEYCODE_N 42
#define JAVA_KEYCODE_Z 54
#define JAVA_KEYCODE_COMMA 55
#define JAVA_KEYCODE_PERIOD 56
#define JAVA_KEYCODE_SPACE 62
#define JAVA_KEYCODE_ENTER 66
#define JAVA_KEYCODE_DEL 67
#define JAVA_KEYCODE_MINUS 69
#define JAVA_KEYCODE_EQUALS 70
#define JAVA_KEYCODE_SEMICOLON 74
#define JAVA_KEYCODE_APOSTROPHE 75
#define JAVA_KEYCODE_SLASH 76
#define JAVA_KEYCODE_AT 77
#define JAVA_KEYCODE_PLUS 81
#define JAVA_KEYCODE_BUTTON_A 96
#define JAVA_KEYCODE_BUTTON_B 97
#define JAVA_KEYCODE_BUTTON_C 98


//See mapping.c
#define JAVA_KEYCODE_CAPITAL_A_BUTTON_MAPPING 00
#define JAVA_KEYCODE_UP_ARROW_BUTTON_MAPPING 26
#define MAPPING_BUTTON_1_INDEX 0
#define MAPPING_BUTTON_2_INDEX 1
#define MAPPING_BUTTON_3_INDEX 2
#define MAPPING_BUTTON_4_INDEX 3
#define MAPPING_BUTTON_5_INDEX 4
#define MAPPING_BUTTON_6_INDEX 5
#define MAPPING_BUTTON_7_INDEX 6
#define MAPPING_BUTTON_8_INDEX 7
#define MAPPING_BUTTON_9_INDEX 8
#define MAPPING_BUTTON_CLEAR_INDEX 9
#define MAPPING_BUTTON_0_INDEX 10
#define MAPPING_BUTTON_ENTER_INDEX 11
#define MAPPING_BUTTON_LEFT_SIDE_UP_INDEX 12
#define MAPPING_BUTTON_LEFT_SIDE_DOWN_INDEX 13
#define MAPPING_BUTTON_RIGHT_SIDE_UP_INDEX 14
#define MAPPING_BUTTON_RIGHT_SIDE_DOWN_INDEX 15
#define MAPPING_BUTTON_CHANGE_ROM_INDEX 16
#define MAPPING_BUTTON_PAUSE_INDEX 17
#define MAPPING_BUTTON_RESET_INDEX 18
#define MAPPING_BUTTON_CHANGE_PLAYER_INDEX 19 
#define MAPPING_BUTTON_CHANGE_VOLUME_UP 21 
#define MAPPING_BUTTON_CHANGE_VOLUME_DOWN 22 

#include <jni.h>
#include "SDL.h"

char* androidJzintvRomPath=NULL;
char* androidJzintvRomName=NULL;
char* androidRate=NULL;
int lastEventValueX;
int lastEventValueY;

void Java_org_libsdl_jzintv4droid_SDLActivity_setSdlButtonState(JNIEnv * env, jobject this, jint val, jint pressed);

void Java_org_libsdl_jzintv4droid_SDLActivity_setRomPath(JNIEnv * env, jobject this, jstring romPath)
{
    jboolean isCopy;
    const char * tmpPath = (*env)->GetStringUTFChars(env, romPath, &isCopy);
    androidJzintvRomPath=strdup(tmpPath);
    (*env)->ReleaseStringUTFChars(env, romPath, tmpPath);
}

void Java_org_libsdl_jzintv4droid_SDLActivity_setRomName(JNIEnv * env, jobject this, jstring romName)
{
    jboolean isCopy;
    const char * tmpPath = (*env)->GetStringUTFChars(env, romName, &isCopy);
    androidJzintvRomName=strdup(tmpPath);
    (*env)->ReleaseStringUTFChars(env, romName, tmpPath);
}

void Java_org_libsdl_jzintv4droid_SDLActivity_setRate(JNIEnv * env, jobject this, jstring rate)
{
    jboolean isCopy;
    const char * tmpRate = (*env)->GetStringUTFChars(env, rate, &isCopy);
    androidRate=strdup(tmpRate);
    (*env)->ReleaseStringUTFChars(env, rate, tmpRate);
}

void Java_org_libsdl_jzintv4droid_SDLActivity_nativeKill(JNIEnv * env, jobject this)
{
  SDL_Quit();
  exit(0);
}

void Java_org_libsdl_jzintv4droid_SDLActivity_nativeQuit(JNIEnv * env, jobject this)
{
   Java_org_libsdl_jzintv4droid_SDLActivity_setSdlButtonState(0,0,JAVA_BUTTON_CHANGE_ROM_INDEX,1);
}

void Java_org_libsdl_jzintv4droid_SDLActivity_nativeChangeVolume(JNIEnv * env, jobject this, jint direction)
{
   if (direction==1)
   {
      Java_org_libsdl_jzintv4droid_SDLActivity_setSdlButtonState(0,0,BUTTON_CHANGE_VOLUME_UP,1);
   }
   else
   {
      Java_org_libsdl_jzintv4droid_SDLActivity_setSdlButtonState(0,0,BUTTON_CHANGE_VOLUME_DOWN,1);
   }
}

void Java_org_libsdl_jzintv4droid_SDLActivity_nativeResume(JNIEnv * env, jobject this, jint paused)
{
  if (paused==1)
  {
     updateSurface();
  }
}

int Java_org_libsdl_jzintv4droid_SDLActivity_getLastEventValueX(JNIEnv * env, jobject this)
{
   return lastEventValueX;
}

int Java_org_libsdl_jzintv4droid_SDLActivity_getLastEventValueY(JNIEnv * env, jobject this)
{
   return lastEventValueY;
}

void Java_org_libsdl_jzintv4droid_SDLActivity_setSdlDiscState(JNIEnv * env, jobject this, jint x, jint y, jint pressed)
{
   int angleIndex = getAngleIndex(x,y);
     
   SDL_Event xevent;
   xevent.type = SDL_JOYAXISMOTION;
   xevent.jaxis.which=0;
   xevent.jaxis.axis=0;
      
   SDL_Event yevent;
   yevent.type = SDL_JOYAXISMOTION;
   yevent.jaxis.which=0;
   yevent.jaxis.axis = 1;
      
   getSDLJoyAxisEvent(&xevent, &yevent, angleIndex);
   
   if (pressed == -1) 
   {
      xevent.jaxis.value = 0;
      yevent.jaxis.value = 0;
   }
   else
   {
      lastEventValueX = xevent.jaxis.value;
      lastEventValueY = yevent.jaxis.value;
   }
   SDL_PushEvent(&xevent); 
   SDL_PushEvent(&yevent);
}

void Java_org_libsdl_jzintv4droid_SDLActivity_setSdlKeyboardState(JNIEnv * env, jobject this, jint val, jint pressed, jint shiftPressed, jint altPressed)
{
   int sdlKey;
   int skip = 0;
   if (val >= JAVA_KEYCODE_0 && val <= JAVA_KEYCODE_9)
   {
      if (shiftPressed==0)
         sdlKey = SDLK_0 + (val-JAVA_KEYCODE_0);   // "1-9"
      else
      {
         switch (val)
         {
           case (JAVA_KEYCODE_0):
              sdlKey = SDLK_RIGHTPAREN;             // ")" 
              break;
           case (JAVA_KEYCODE_4):
              sdlKey = SDLK_DOLLAR;                 // "$"
              break;
           case (JAVA_KEYCODE_5):
              sdlKey = SDLK_UNDERSCORE;             // "%" SDLK_PERCENT is not working, see maapping.c 
              break;      
           case (JAVA_KEYCODE_6):
              sdlKey = SDLK_CARET;                  // "^"
              break;
           case (JAVA_KEYCODE_9):
              sdlKey = SDLK_LEFTPAREN;              // "("
              break;
           default:
              break;
         }
      }
   }
   else if (val >= JAVA_KEYCODE_A && val <= JAVA_KEYCODE_Z)
   {
      if (shiftPressed == 1)
      {
                                                           // "A-Z"
         skip = 1;
         Java_org_libsdl_jzintv4droid_SDLActivity_setSdlButtonState( env, 
                                                                         this,
                                                                         JAVA_KEYCODE_CAPITAL_A_BUTTON_MAPPING + (val-JAVA_KEYCODE_A),
                                                                         pressed);
      }
      else if (altPressed==0)
         sdlKey = SDLK_a + (val-JAVA_KEYCODE_A);           // "a-z"
      else
      {
        switch (val)
         {
           case (JAVA_KEYCODE_N):
              sdlKey = SDLK_GREATER;                       // ">"
              break;
           case (JAVA_KEYCODE_B):
              sdlKey = SDLK_LESS;                          // "<"
              break;   
           default:
              break;   
         }
      }
   }
   else if (val == JAVA_KEYCODE_BUTTON_A)
      sdlKey = SDLK_EXCLAIM;                               // Switch to ecs, see mapping.c
   else if (val == JAVA_KEYCODE_BUTTON_B)
      sdlKey = SDLK_AT;                                    // Switch to player
   else if (val == JAVA_KEYCODE_BUTTON_C)
      sdlKey = SDLK_BACKSLASH;                             // Switch to other player
   else if (val == JAVA_KEYCODE_ENTER)
      sdlKey = SDLK_RETURN;                                // "Enter"
   else if (val == JAVA_KEYCODE_DEL)
      sdlKey = SDLK_BACKSPACE;                             // "Backspace"
   else if (val == JAVA_KEYCODE_SPACE)
      sdlKey = SDLK_SPACE;                                 // "Space"
   else if (val == JAVA_KEYCODE_EQUALS)
      sdlKey = SDLK_EQUALS;                                // "="
   else if (val == JAVA_KEYCODE_MINUS)
      sdlKey = SDLK_MINUS;                                 // "-"
   else if (val == JAVA_KEYCODE_SLASH)
   {
      if (shiftPressed == 0)
         sdlKey = SDLK_SLASH;                              // "/"
      else
         sdlKey = SDLK_QUESTION;                           // "?"
   }
   else if (val == JAVA_KEYCODE_APOSTROPHE)
   {
      if (shiftPressed == 0)
         sdlKey = SDLK_QUOTE;                              // "'"
      else
         sdlKey = SDLK_QUOTEDBL;                           // """
   }
   else if (val == JAVA_KEYCODE_PLUS)
      sdlKey = SDLK_PLUS;                                  // "+"
   else if (val == JAVA_KEYCODE_SEMICOLON)
      sdlKey = SDLK_SEMICOLON;                             // ";"    
   else if (val == JAVA_KEYCODE_POUND)
      sdlKey = SDLK_HASH;                                  // "#"
   else if (val == JAVA_KEYCODE_STAR)
      sdlKey = SDLK_ASTERISK;                              // "*"
   else if (val == JAVA_KEYCODE_PERIOD)
   {
      if (shiftPressed == 0)
         sdlKey = SDLK_PERIOD;                             // "."       
      else
         sdlKey = SDLK_COLON;                              // ":"
   }
   else if (val == JAVA_KEYCODE_AT)
   {
         sdlKey = SDLK_ESCAPE;
   }
   else if (val == JAVA_KEYCODE_COMMA)
      sdlKey = SDLK_COMMA;                                 // ","
   else if (val == JAVA_KEYCODE_UP_ARROW || 
            val == JAVA_KEYCODE_DOWN_ARROW ||
            val == JAVA_KEYCODE_LEFT_ARROW ||
            val == JAVA_KEYCODE_RIGHT_ARROW )
   {
       skip = 1;
       Java_org_libsdl_jzintv4droid_SDLActivity_setSdlButtonState( env, 
                                                                       this,
                                                                       JAVA_KEYCODE_UP_ARROW_BUTTON_MAPPING + (val-JAVA_KEYCODE_UP_ARROW),
                                                                       pressed);
   }

   SDL_Event keyEvent;
   if (pressed == 1)
   {
      keyEvent.key.type = SDL_KEYDOWN;
   }
   else   
   {
      keyEvent.key.type = SDL_KEYUP;
   }

   keyEvent.key.keysym.sym = sdlKey;
   if (skip == 0)
   {
      SDL_PushEvent(&keyEvent); 
   }
}

void Java_org_libsdl_jzintv4droid_SDLActivity_setSdlButtonState(JNIEnv * env, jobject this, jint val, jint pressed)
{
  SDL_Event res;
  res.jbutton.which=0;
  if (pressed==1)
  {
     res.jbutton.type=SDL_JOYBUTTONDOWN;
  }
  else
  {
     res.jbutton.type=SDL_JOYBUTTONUP;
  }
  switch(val)
  {
     case JAVA_BUTTON_1_INDEX: // key 1
       res.jbutton.button=MAPPING_BUTTON_1_INDEX;
       break;
     case JAVA_BUTTON_2_INDEX: // key 2
       res.jbutton.button=MAPPING_BUTTON_2_INDEX;
       break;
     case JAVA_BUTTON_3_INDEX: // key 3
       res.jbutton.button=MAPPING_BUTTON_3_INDEX;
       break;
     case JAVA_BUTTON_4_INDEX: // key 4
       res.jbutton.button=MAPPING_BUTTON_4_INDEX;
       break;
     case JAVA_BUTTON_5_INDEX: // key 5
       res.jbutton.button=MAPPING_BUTTON_5_INDEX;
       break;
     case JAVA_BUTTON_6_INDEX: // key 6
       res.jbutton.button=MAPPING_BUTTON_6_INDEX;
       break;
     case JAVA_BUTTON_7_INDEX: // key 7
       res.jbutton.button=MAPPING_BUTTON_7_INDEX;
       break;
     case JAVA_BUTTON_8_INDEX: // key 8
       res.jbutton.button=MAPPING_BUTTON_8_INDEX;
       break;
     case JAVA_BUTTON_9_INDEX: // key 9
       res.jbutton.button=MAPPING_BUTTON_9_INDEX;
       break;
     case JAVA_BUTTON_CLEAR_INDEX: // key Clear
       res.jbutton.button=MAPPING_BUTTON_CLEAR_INDEX;
       break;
     case JAVA_BUTTON_0_INDEX:     // key 0
       res.jbutton.button=MAPPING_BUTTON_0_INDEX;
       break;
     case JAVA_BUTTON_ENTER_INDEX: // key Enter
       res.jbutton.button=MAPPING_BUTTON_ENTER_INDEX;
       break;
     case JAVA_BUTTON_LEFT_SIDE_UP_INDEX:    // key Sidebutton left up
       res.jbutton.button=MAPPING_BUTTON_LEFT_SIDE_UP_INDEX;
       break;
     case JAVA_BUTTON_LEFT_SIDE_DOWN_INDEX:  // key Sidebutton left down
       res.jbutton.button=MAPPING_BUTTON_LEFT_SIDE_DOWN_INDEX;
       break;
     case JAVA_BUTTON_RIGHT_SIDE_UP_INDEX:   // key Sidebutton right up
       res.jbutton.button=MAPPING_BUTTON_RIGHT_SIDE_UP_INDEX;
       break;
     case JAVA_BUTTON_RIGHT_SIDE_DOWN_INDEX: // key Sidebutton right down
       res.jbutton.button=MAPPING_BUTTON_RIGHT_SIDE_DOWN_INDEX;      
       break;
     case JAVA_BUTTON_CHANGE_ROM_INDEX: // QUIT
       res.jbutton.button=MAPPING_BUTTON_CHANGE_ROM_INDEX;
       break;
     case JAVA_BUTTON_PAUSE_INDEX:// PAUSE
       res.jbutton.button=MAPPING_BUTTON_PAUSE_INDEX;
       break;
     case JAVA_BUTTON_RESET_INDEX:// RESET
       res.jbutton.button=MAPPING_BUTTON_RESET_INDEX;
       break;
     case JAVA_BUTTON_CHANGE_PLAYER_INDEX:
       res.jbutton.button=MAPPING_BUTTON_CHANGE_PLAYER_INDEX;
       break;
     case BUTTON_CHANGE_VOLUME_UP:
       res.jbutton.button=MAPPING_BUTTON_CHANGE_VOLUME_UP;
       break;
     case BUTTON_CHANGE_VOLUME_DOWN:
       res.jbutton.button=MAPPING_BUTTON_CHANGE_VOLUME_DOWN;
       break;
     default:
       if (val==28) val = 30;   // See mapping.c , button 28 does not work!!!!!!!
       res.jbutton.button=val;
       break;
  }
  SDL_PushEvent(&res);
}
