/*------------------------------------------------------------------------------------
 * I moved some of the wii stuff here, since they're used for android version too
 *
 * Daniele Moglia (daniele.moglia@gmail.com)
 *------------------------------------------------------------------------------------*/

#include "SDL.h"

int getAngleIndex(int x, int y)
{
  if (
       (x >= 0)&&
       (y >= 0)
      )
  {
     if               (4*y <   x) return 0;
     if (4*y >=   x && 2*y <   x) return 1;
     if (2*y >=   x && 4*y < 3*x) return 2;	 
     if (4*y >= 3*x &&   y <   x) return 3;
     if (  y >=   x && 3*y < 4*x) return 4;	 
     if (3*y >= 4*x &&   y < 2*x) return 5;
     if (  y >= 2*x &&   y < 4*x) return 6;	 
     if (  y >= 4*x)              return 7;
  }
  else if (
       (x < 0)&&
       (y >= 0)
      )
  {
     if                  (y >-4*x) return 8;
     if (  y <= -4*x &&   y >-2*x) return 9;
     if (  y <= -2*x && 3*y >-4*x) return 10;	 
     if (3*y <= -4*x &&   y >  -x) return 11;
     if (  y <=   -x && 4*y >-3*x) return 12;	 
     if (4*y <= -3*x && 2*y >  -x) return 13;
     if (2*y <=   -x && 4*y >  -x) return 14;	 
     if (4*y <=   -x)              return 15;
  }
    else if (
       (x < 0)&&
       (y < 0)
      )
  {
     if                (4*y >   x) return 16;
     if ( 4*y <=   x && 2*y >   x) return 17;
     if ( 2*y <=   x && 4*y > 3*x) return 18;	 
     if ( 4*y <= 3*x &&   y >   x) return 19;
     if (   y <=   x && 3*y > 4*x) return 20;	 
     if ( 3*y <= 4*x &&   y > 2*x) return 21;
     if (   y <= 2*x &&   y > 4*x) return 22;	 
     if (   y <= 4*x)              return 23;
  }
    else if (
       (x >= 0)&&
       (y < 0)
      )
  {
     if                   (y <-4*x) return 24;
     if (   y >=-4*x &&    y <-2*x) return 25;
     if (   y >=-2*x &&  3*y <-4*x) return 26;	 
     if ( 3*y >=-4*x &&    y <  -x) return 27;
     if (   y >=  -x &&  4*y <-3*x) return 28;	 
     if ( 4*y >=-3*x &&  2*y <   x) return 29;
     if ( 2*y >=   x &&  4*y <   x) return 30;	 
     if ( 4*y >=   x)               return 31;
  }
  return -1;
}

void getHatEvent(SDL_Event* hatEvent, int angleIndex)
{
  if      ((angleIndex>=2)  && (angleIndex<6))  hatEvent->jhat.value = SDL_HAT_RIGHTUP;
  else if ((angleIndex>=6)  && (angleIndex<10)) hatEvent->jhat.value = SDL_HAT_UP;
  else if ((angleIndex>=10) && (angleIndex<14)) hatEvent->jhat.value = SDL_HAT_LEFTUP;
  else if ((angleIndex>=14) && (angleIndex<18)) hatEvent->jhat.value = SDL_HAT_LEFT;
  else if ((angleIndex>=18) && (angleIndex<22)) hatEvent->jhat.value = SDL_HAT_LEFTDOWN;
  else if ((angleIndex>=22) && (angleIndex<26)) hatEvent->jhat.value = SDL_HAT_DOWN;
  else if ((angleIndex>=26) && (angleIndex<30)) hatEvent->jhat.value = SDL_HAT_RIGHTDOWN;
  else hatEvent->jhat.value = SDL_HAT_RIGHT;
}

void getSDLJoyAxisEvent(SDL_Event* xevent, SDL_Event* yevent, int angleIndex)
{
  if ((angleIndex==31) || (angleIndex==0))
  {
     // Right
     xevent->jaxis.value = 10000;
     yevent->jaxis.value = 0;
  }
  else if ((angleIndex==1) || (angleIndex==2))
  {
     // Right Up Right
     xevent->jaxis.value = 10000;
     yevent->jaxis.value = -5000;
  }
  else if ((angleIndex==3) || (angleIndex==4))
  {
     // Right Up
     xevent->jaxis.value = 10000;
     yevent->jaxis.value = -10000;
  }
  else if ((angleIndex==5) || (angleIndex==6))
  {
     // Right Up Up
     xevent->jaxis.value = 5000;
     yevent->jaxis.value = -10000;
  }
  else if ((angleIndex==7) || (angleIndex==8))
  {
     // Up
     xevent->jaxis.value = 0;
     yevent->jaxis.value = -10000;
  }
  else if ((angleIndex==9) || (angleIndex==10))
  {
     // Left Up Up
     xevent->jaxis.value = -5000;
     yevent->jaxis.value = -10000;
  }
  else if ((angleIndex==11) || (angleIndex==12))
  {
     // Left Up
     xevent->jaxis.value = -10000;
     yevent->jaxis.value = -10000;
  }
  else if ((angleIndex==13) || (angleIndex==14))
  {
     // Left Up Left
     xevent->jaxis.value = -10000;
     yevent->jaxis.value = -5000;
  }
  else if ((angleIndex==15) || (angleIndex==16))
  {
     // Left
     xevent->jaxis.value = -10000;
     yevent->jaxis.value = 0;
  }
  else if ((angleIndex==17) || (angleIndex==18))
  {
     // Left Down Left
     xevent->jaxis.value = -10000;
     yevent->jaxis.value = 5000;
  }
  else if ((angleIndex==19) || (angleIndex==20))
  {
     // Left Down
     xevent->jaxis.value = -10000;
     yevent->jaxis.value = 10000;
  }
  else if ((angleIndex==21) || (angleIndex==22))
  {
     // Left Down Down
     xevent->jaxis.value = -5000;
     yevent->jaxis.value = 10000;
  }
  else if ((angleIndex==23) || (angleIndex==24))
  {
     // Down
     xevent->jaxis.value = 0;
     yevent->jaxis.value = 10000;
  }
  else if ((angleIndex==25) || (angleIndex==26))
  {
     // Right Down Down
     xevent->jaxis.value = 5000;
     yevent->jaxis.value = 10000;
  }
  else if ((angleIndex==27) || (angleIndex==28))
  {
     // Right Down
     xevent->jaxis.value = 10000;
     yevent->jaxis.value = 10000;
  }
  else if ((angleIndex==29) || (angleIndex==30))
  {
     // Right Down Right
     xevent->jaxis.value = 10000;
     yevent->jaxis.value = 5000;
  }
}