/*  Convert reflection coefficients into predictor coefficients */
/*  Based on irc2pc.f */

#ifndef RESTRICT
# define RESTRICT
#endif

#ifndef MAXORD
# define MAXORD (12)
#endif

void irc2pc
(
    const double    *const RESTRICT rc, 
    double          *const RESTRICT pc,
    int                             order
)
{
    double  temp[MAXORD];
    int     i, j;

    pc[0]  = rc[0];

    for (i = 1; i < order; i++)
    {
        for (j = 0; j < i; j++)
            temp[j] = pc[j] - rc[i] * pc[i - j - 1];

        for (j = 0; j < i; j++)
            pc[j] = temp[j];

        pc[i] = rc[i];
    }
}

