#ifndef LIN_BAIRSTOW_H_
#define LIN_BAIRSTOW_H_

typedef struct
{
    double re;
    double im;
} cplx;

#define TOLERANCE   (1.0e-14)
#define SMALL       (1.0e-8)
#define MAX_ORDER   (12)
#define DIM         (MAX_ORDER + 2)

#define FALSE       (0)
#define TRUE        (1)
/*
%
% The Lin-Bairstow method improves on the deflation method to solve 
% for the complex roots of the following polynomial:
%
%     y = coeff(0) + coeff(1) X + coeff(2) X^2 +...+ coeff(n) X^n
%
% parameters:
%
%   coeff      must be an array with at least order+1 elements.
%   roots      output array of roots
%   order      order of polynomial
%
*/

int lin_bairstow(const double coeff[], cplx roots[], int order);

#endif
